Method: publishers.items.rollback

Rolls back an item's published CRX package to a specified previously published CRX package and publishes it to all users.

HTTP request

POST https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*}:rollback

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the item to rollback in the form publishers/{publisherId}/items/{itemId}

Request body

The request body contains data with the following structure:

JSON representation
{
  "targetCrxVersion": string,
  "newVersion": string,
  "rollbackReason": string,
  "validateOnly": boolean
}
Fields
targetCrxVersion

string

Required. The target previously published CRX version to roll back to. If unset, defaults to the last published CRX version.

newVersion

string

Required. The new version to assign to the package being rolled back to. This effectively "rolls forward" the previous package by giving it a higher version number than the currently-published package. E.g. if the current published version is 1.1, the new version could be 1.1.1 or 1.2 but not 1.0.

rollbackReason

string

Required. The reason for the rollback that will be used for internal auditing and developer dashboard visibility.

validateOnly

boolean

Optional. If set, validate and dry run the request but do not actually initiate the rollback

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/chromewebstore